Skip to main content

Calculate Total Cost of Ownership (TCO)​

Calculates the total cost of ownership for asset discovery including Commvault costs, native cloud provider costs, and savings

Request Body required
  • discoveredSizes object[]

    List of discovered sizes by workload type

  • workloadType CloudServiceType

    Possible values: [NONE, COMPUTE, STORAGE, DATABASE, SECURITY, APPLICATION, KUBERNETES, FILES, AI]

    Workload type (COMPUTE, DATABASE, or STORAGE)

  • sizeInTB double

    Size in TB

  • provider CyberResiliencyCloudConnector required

    Possible values: [AZURE, AWS, GCP, M365, AD]

    Default value: AZURE

    Supported Connector Types for Cyber Resilience Cost Assessment Dashboard

  • retentions object[]

    List of retention configurations

  • scope RetentionScope

    Possible values: [PRIMARY, CROSS_REGION, CROSS_CLOUD]

    Retention scope (PRIMARY, CROSS_REGION, or CROSS_CLOUD)

  • days int32

    Retention period in days

  • extended object[]

    Extended retention configurations

  • type ExtendedRetentionType

    Possible values: [WEEKLY, MONTHLY, YEARLY]

    Extended retention type (WEEKLY, MONTHLY, or YEARLY)

  • days int32

    Extended retention period in days

  • annualGrowthRate int32

    Annual growth rate percentage

  • dailyChangeRates object[]

    List of daily change rates by workload type

  • workloadType CloudServiceType

    Possible values: [NONE, COMPUTE, STORAGE, DATABASE, SECURITY, APPLICATION, KUBERNETES, FILES, AI]

    Workload type (COMPUTE, DATABASE, or STORAGE)

  • rate ChangeRateLevel

    Possible values: [LOW, MEDIUM, HIGH]

    Change rate level (LOW, MEDIUM, or HIGH)

  • ratePercent int32

    Daily change rate percentage

Responses

OK


Schema
  • storageBundles object[]

    Storage bundles by scope

  • scope RetentionScope

    Possible values: [PRIMARY, CROSS_REGION, CROSS_CLOUD]

    Retention scope (PRIMARY, CROSS_REGION, or CROSS_CLOUD)

  • storages object[]

    Storage information by workload type

  • workloadType CloudServiceType

    Possible values: [NONE, COMPUTE, STORAGE, DATABASE, SECURITY, APPLICATION, KUBERNETES, FILES, AI]

    Workload type (COMPUTE, DATABASE, or STORAGE)

  • sizeInTB double

    Current size in TB

  • estimatedStorageInTB int32

    Estimated storage in TB

  • estimatedExtendedStorageInTB int32

    Estimated extended storage in TB

  • cvCost object

    Commvault costs

  • workloadCosts object[]

    Costs by workload type

  • workloadType CloudServiceType

    Possible values: [NONE, COMPUTE, STORAGE, DATABASE, SECURITY, APPLICATION, KUBERNETES, FILES, AI]

    Workload type (COMPUTE, DATABASE, or STORAGE)

  • cost int32

    Cost amount

  • total int32

    Total cost

  • nativeCost object

    Native cloud provider costs

  • workloadCosts object[]

    Costs by workload type

  • workloadType CloudServiceType

    Possible values: [NONE, COMPUTE, STORAGE, DATABASE, SECURITY, APPLICATION, KUBERNETES, FILES, AI]

    Workload type (COMPUTE, DATABASE, or STORAGE)

  • cost int32

    Cost amount

  • total int32

    Total cost

  • savings object

    Savings information

  • amount int32

    Savings amount

  • percent double

    Savings percentage (rounded to 2 decimal places)

Loading...